v1.0.0
OpenAPI 3.1.0

Delete a WhatsApp template

US region

Client Libraries

Delete a WhatsApp template

​

Delete a WhatsApp template from Design Studio. You can't delete a template that's linked to a workflow, like a transactional message, a one-time send, or an automation action.

Deleting a template in Customer.io doesn't delete the template you submitted to Meta. If you want to remove it from your WhatsApp Business Account too, delete it in WhatsApp Manager.

Path Parameters
  • id
    Type: string Format: uuid
    required

    The UUID of the WhatsApp template.

Responses
  • 204

    WhatsApp template deleted

  • application/json
  • application/json
  • application/json
Request Example for delete/v1/design_studio/whatsapp/{id}
curl https://api.customer.io/v1/design_studio/whatsapp/123e4567-e89b-12d3-a456-426614174000 \
  --request DELETE
No Body